"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toRendableGenericLine = void 0;

var _utils = require("./utils");

const toRendableGenericLine = (intl, genericLine) => {
  const {
    merchant,
    inscriptions
  } = genericLine;
  return {
    code: merchant,
    inscriptions: inscriptions.map(({
      id,
      label,
      price
    }) => ({
      id,
      label,
      price: (0, _utils.formatPrice)(intl, price)
    }))
  };
};

exports.toRendableGenericLine = toRendableGenericLine;