"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Layout = require("../../Layout");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const cssFonts = {
  fontFamily: "Open Sans, Helvetica"
};
const cssDetailTitle = {
  padding: "5px 0"
};
const cssDetailTitleText = { ...cssFonts,
  color: "#4D4D4D",
  fontSize: 12,
  fontWeight: "bold"
};

const DetailTitle = ({
  children
}) => {
  return /*#__PURE__*/React.createElement(_Layout.Row, null, /*#__PURE__*/React.createElement(_Layout.Cell, {
    css: cssDetailTitle
  }, /*#__PURE__*/React.createElement("span", {
    style: cssDetailTitleText
  }, children)));
};

var _default = DetailTitle;
exports.default = _default;