"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Context = _interopRequireDefault(require("../Context"));

var _Layout = require("../Layout");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const cssMerchant = {
  padding: "20px 15px 40px",
  background: "#ffffff",
  boxShadow: "0px 2px 10px rgba(0, 0, 0, 0.2)",
  borderRadius: "5px",
  border: 0
};

const Merchant = ({
  admin,
  mail,
  css,
  children
}) => {
  return /*#__PURE__*/React.createElement(_Context.default.Provider, {
    value: {
      admin,
      mail
    }
  }, /*#__PURE__*/React.createElement(_Layout.Box, {
    css: { ...cssMerchant,
      ...css
    }
  }, /*#__PURE__*/React.createElement(_Layout.Row, null, /*#__PURE__*/React.createElement(_Layout.Cell, {
    direction: "column"
  }, children))));
};

var _default = Merchant;
exports.default = _default;