"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _types = require("../types");

var _Detail = _interopRequireDefault(require("./Detail"));

var _DetailPadding = _interopRequireDefault(require("./DetailPadding"));

var _DetailTitle = _interopRequireDefault(require("./DetailTitle"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const InscriptionDetail = ({
  detail,
  solo
}) => {
  return detail.type === _types.DetailEnum.title ? /*#__PURE__*/React.createElement(_DetailTitle.default, null, detail.label) : detail.type === _types.DetailEnum.details ? /*#__PURE__*/React.createElement(_Detail.default, {
    label: detail.label,
    value: detail.value,
    solo: solo
  }) : /*#__PURE__*/React.createElement(_DetailPadding.default, null);
};

var _default = InscriptionDetail;
exports.default = _default;